Generation Framework

## org.eclipse.gmf.gmfgraph
Interface LineBorder

All Superinterfaces:
  Border, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  LineBorderImpl

    public interface LineBorder

extends Border

A representation of the model object 'Line Border'.

The following features are supported:

- `Color`
- `Width`

See Also:
  `GMFGraphPackage.getLineBorder()`
** Generated **
Model:

Method Summary
`Color` `getColor()` Returns the value of the 'Color' containment reference
`int` `getWidth()` Returns the value of the 'Width' attribute.
`void` `setColor(Color value)` Sets the value of the '`Color`' containment reference
`void` `setWidth(int value)` Sets the value of the '`Width`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColor

    Color getColor()

  Returns the value of the 'Color' containment reference.

  If the meaning of the 'Color' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Color' containment reference.
  See Also:
    `setColor(Color)`, `GMFGraphPackage.getLineBorder_Color()`
  ** Generated **
  Model:
    containment="true"

### setColor

    void setColor(Color value)

  Sets the value of the '`Color`' containment reference.

  Parameters:
    `value` - the new value of the 'Color' containment reference.
  See Also:
    `getColor()`
  ** Generated **

### getWidth

    int getWidth()

  Returns the value of the 'Width' attribute. The default value is `"1"`.

  If the meaning of the 'Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Width' attribute.
  See Also:
    `setWidth(int)`, `GMFGraphPackage.getLineBorder_Width()`
  ** Generated **
  Model:
    default="1"

### setWidth

    void setWidth(int value)

  Sets the value of the '`Width`' attribute.

  Parameters:
    `value` - the new value of the 'Width' attribute.
  See Also:
    `getWidth()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.